/*
 * Datei: MyView.h		Projekt: LocaleKit3
 * Autor: Markus Maier	Datum:	 06.06.2005
 *
 *		Erstellt fuer zemag #3
 *		2005, Urheberrecht beim Autor
 */

#ifndef _MYVIEW_H_
#define _MYVIEW_H_

// Zeta Includes
#include <interface/Rect.h>
#include <interface/View.h>

// Datentypen
// Die Alias Namen zu den Nachrichten (Messages) der Anwendung.
// Diese sollten oeffentlich definiert werden, da z.B.
// das Window die Alias-Namen für die MessageReceived() Methode
// verwendet. 
#define MSG_BUTTON_HELLO	0x0101
#define MSG_BUTTON_HAY		0x0102
#define MSG_BUTTON_OK		0x0103

// Den Alias-Viewnamen oeffentlich machen, damit dieser benutzt werden kann
// um ueber "FindView()" auf den View zuzugreifen.
#define VIEW_MYVIEW "MyView"

//-----------------------------------------------------------------------------
// Klassen Definition
class MyView : public BView
{
	public:
							MyView( const BRect );	// Constructor
		virtual 			~MyView();				// Destructor

		// Hook Methoden
		virtual 	void 	AttachedToWindow( void );

		// Eigene Methoden
					// Setzt die Texte des Views neu
					void 	refreshLanguage( void );
					// Berechnet das Layout neu
					void 	refreshLayout( void );
					
	
	private:
		// Erzeugt die GUI
		void 	CreateGUI( void );
};

#endif // _MYVIEW_H_
